Description

Feedback by http://kune.cc/#vincent

When creating a new group, a dialog box appears and some informations are asked.
Here are somes ideas to improve it:
- short name: allow usage of - and _ char
- suggest a short name from long name
- description: copy the short name inside when entered (if empty)
- Tag:  why is it mandatory ? suggest keywords from short name (or long name also)
how keyword are separates, with which character

Associated revisions
Revision affeb714 - 11/14/2012 12:47 PM - Samer -

Accepting dashes and underscores in group short-names. #396

Revision 38e03061 - 11/15/2012 03:03 AM - Vicente J. Ruiz Jurado

Revert "Accepting dashes and underscores in group short-names. #396"

This reverts commit affeb7143872682e2a8f1de399de814e461845bd.

Revision 861c923d - 12/15/2012 07:03 PM - Samer -

Specified "comma" is the keyword separating character, #396

http://redmine.ourproject.org/issues/show/396

Revision bf45ce02 - 12/16/2012 06:50 PM - Samer -

NewGroup: suggest a short name from long name + tests, #396

History
#1 - 10/28/2012 02:47 PM - Vicente J. Ruiz Jurado
- Tags set to easy

#2 - 11/10/2012 09:01 PM - Samer -
- Assignee set to Samer -

#3 - 11/14/2012 12:44 PM - Samer -
- Status changed from New to In Progress
- % Done changed from 0 to 50

- DONE: short name: allow usage of - and _ char

#4 - 11/14/2012 02:03 PM - Samer -

Tags: I would NOT suggest keywords based on short/long name, as in most cases the name should not be a keyword (Fractagora, Kune...). Very few
would be something like "Education project in Ecuador".

#5 - 11/14/2012 09:47 PM - Vincent Osele

Remove word under 2 or 3 char, then add the other words as keyword.
In your example, Education, Project and Ecuador
Remark that it is only suggestion. User could adapt, remove them if he want.

An other way is to add a button near edit text: "Fill keywords for me from name". Ok it is too long for a button, but it is the idea. :-)

#6 - 12/16/2012 08:39 PM - Samer -

    1. short name: allow usage of - and _ char => wontfix. The commit that was fixing it was reverted, in order to be very strict with UNIX-names and
allow just alphanumeric.
    2. suggest a short name from long name => just done
    3. description: copy the short name inside when entered (if empty) => I don't think this is convenient. 
    4. Tag: why is it mandatory ?  => I'd keep it mandatory
    5. Tag: suggest keywords from short name (or long name also) => I would not in the majority of cases. As said before, the case of "Education
project in Ecuador" (where it makes sense) is not common at all. Most group names should never be keywords.
    6. how keyword are separates, with which character => clarified: "comma-separated"

#7 - 12/16/2012 08:40 PM - Samer -
- Status changed from In Progress to Closed
- % Done changed from 50 to 100
- Resolution set to fixed
